Импорт библиотеки GraphStream в Android Studio

Simra спросил: 12 мая 2018 в 04:16 в: java

Я импортировал модули gs-ui-android и gs-core-2.0-alpha, и они также отражаются в settings.gradle. Кроме того, они включены в модуль приложения gradle

implementation files(':gs-ui-android')
implementation files(':gs-core-2.0-alpha')

Также включены операторы импорта

 import org.graphstream.graph.*;
    import org.graphstream.graph.implementations.*;

Я все еще получаю ошибку в этом коде

error: package org.graphstream.graph не существует ошибка: packageorg.graphstream.graph.implementations не существует ошибка: cannotfind symbol class SingleGraph error: несовместимые типы: String cannotbe convert to Node error: не удается найти class class Viewer

Пример кода:

Graph graph1 = new SingleGraph("I can see dead pixels");
    graph1.addNode("A" );
    graph1.addNode("B" );
    graph1.addNode("C" );
    graph1.addEdge("AB", "A", "B");
    graph1.addEdge("BC", "B", "C");
    graph1.addEdge("CA", "C", "A");
    Viewer viewer = graph1.display();

Build.gradle (модуль приложения):

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support:appcompat-v7:26.0.1'
    implementation 'io.particle:devicesetup:0.4.9'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.1'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'
    implementation 'com.github.john990:WaveView:v0.9'
    implementation 'org.giwi:android-network-graph:0.0.1'
    // implementation 'guru.nidi:graphviz-java:0.2.3'
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'com.android.support:multidex:1.0.3'
    api 'com.github.graphstream:gs-ui-android:2.0-alpha'
    api 'com.github.graphstream:gs-core:2.0-alpha'
//    implementation files(':gs-ui-android')
//    implementation files(':gs-core-2.0-alpha')}
repositories {
    mavenCentral()
}

2 ответа

Simra ответил: 04 июня 2018 в 02:46
Я включил их ... Все еще не решает проблему
Есть решение
H.Brahimi ответил: 02 июня 2018 в 07:47

Вы можете использовать jitpack для импорта проектов github

allprojects {
    repositories {
        maven { url 'https://jitpack.io' }
    }
}

Затем вы можете поместить ссылки в нужную версию

dependencies {
    api 'com.github.graphstream:gs-ui-android:2.0-alpha'
    api 'com.github.graphstream:gs-core:2.0-alpha'
}

Здесь вы можете увидеть пример

https://github.com/graphstream/gs-ui-android-test

H.Brahimi ответил: 05 июня 2018 в 06:53
Убедитесь, что вы используете ту же версию gs-core и gs-android. Можете ли вы запустить пример?
Simra ответил: 08 июня 2018 в 12:31
Да, я использую ту же версию, что и все еще получаю ошибку
H.Brahimi ответил: 09 июня 2018 в 01:19
Можете ли вы изменить свой пост, чтобы показать, что ваш build.gradle изменен?
H.Brahimi ответил: 11 июня 2018 в 01:53
Я не могу воспроизвести эту проблему. Убедитесь, что минимальная версия SDK вашего проекта - 26, а ваша совместимость с исходным / целевым уровнем - 1,8. Очистите / перестройте, и если это все еще не работает, попробуйте запустить пример, который я вам дал.